# Deprecated

## deprecatedLatestVersion

> This method returns the current version of the SPID Server application.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/latest-version":{"get":{"tags":["Deprecated"],"operationId":"deprecatedLatestVersion","summary":"deprecatedLatestVersion","description":"This method returns the current version of the SPID Server application.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedAuthenticate

> This method authenticates the session and generates a Session GUID.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/authenticate":{"post":{"tags":["Deprecated"],"operationId":"deprecatedAuthenticate","summary":"deprecatedAuthenticate","description":"This method authenticates the session and generates a Session GUID.","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedDeletePerson

> This method deletes a person from the database, given its CPF.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/delete/{sessionGuid}/{cpf}":{"get":{"tags":["Deprecated"],"operationId":"deprecatedDeletePerson","summary":"deprecatedDeletePerson","description":"This method deletes a person from the database, given its CPF.","parameters":[{"name":"sessionGuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"cpf","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResult"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ServiceResult":{"type":"object","properties":{"status":{"type":"string","enum":["OK","ERROR","AUTHENTICATION_OK","AUTHENTICATION_FAILED","INVALID_SESSION_GUID","PERSON_NOT_FOUND","NO_PERSON_FOUND","ENROLL_ENQUEUED","ENROLL_IN_PROGRESS","ENROLL_OK","ENROLL_ANOMALY","ENROLL_FAILED","ENROLL_PENDING","ENROLL_CACHE_OK","ENROLL_CONTINGENCY_OK","SEARCH_ENQUEUED","SEARCH_IN_PROGRESS","SEARCH_FAILED","SEARCH_MATCH","SEARCH_NOT_MATCH","DELETE_OK","DELETE_FAILED","OPERATOR_OK","OPERATOR_FAILED","OPERATOR_PENDING","REMOVE_FROM_REFERENCE_OK","REMOVE_FROM_REFERENCE_FAILED","ADD_TO_REFERENCE_OK","ADD_TO_REFERENCE_FAILED","REMOVE_KEYS_OK","ENQUEUED"]},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"candidates":{"type":"array","items":{"$ref":"#/components/schemas/Candidate"}},"persons":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"person":{"$ref":"#/components/schemas/LegacyPerson"},"transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyTransaction"}},"progress":{"type":"number","format":"float"},"count":{"type":"integer","format":"int32"},"session-guid":{"type":"string"},"transaction-guid":{"type":"string"},"person-guid":{"type":"string"},"enroll-transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"anomalies-status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]}}},"Candidate":{"type":"object","properties":{"anomaly":{"$ref":"#/components/schemas/Anomaly"},"person-guid":{"type":"string"},"transaction-guid":{"type":"string"},"match-info":{"type":"array","items":{"$ref":"#/components/schemas/MatchInfo"}},"biometric-count":{"type":"integer","format":"int64"}}},"Anomaly":{"type":"object","properties":{"status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]},"user":{"type":"string"},"comments":{"type":"string"},"date":{"type":"string","format":"date-time"}}},"MatchInfo":{"type":"object","properties":{"score":{"type":"integer","format":"int32"},"matches":{"type":"array","items":{"$ref":"#/components/schemas/Match"}},"query-index":{"type":"integer","format":"int32"},"reference-index":{"type":"integer","format":"int32"}}},"Match":{"type":"object","properties":{"query":{"type":"integer","format":"int32"},"reference":{"type":"integer","format":"int32"}}},"LegacyPerson":{"type":"object","properties":{"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}},"userId":{"type":"string"},"idn":{"type":"string"}}},"Biometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"}}},"MissingBiometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"type":{"type":"string","enum":["AMPUTATED","UNAVAILABLE"]},"reason":{"type":"string"}}},"LegacyTransaction":{"type":"object","properties":{"id":{"type":"string"},"userId":{"type":"string"},"operatorId":{"type":"string"},"type":{"type":"string","enum":["ENROLL","UPDATE","SEARCH","VERIFY","DELETE"]},"status":{"type":"string","enum":["OK","SEARCH_PENDING","SEARCH_ENQUEUED","SEARCH_MATCH","SEARCH_NOT_MATCH","SEARCH_FAILED","ENROLL_PENDING","ENROLL_ENQUEUED","ENROLL_CACHE_OK","ENROLL_OK","ENROLL_FAILED","ENROLL_EXCEPTION","DELETE_OK","DELETE_FAILED","DELETE_PENDING","REMOTE_CAPTURE_PENDING","FRAUD","ERROR","ENROLL_REJECTED","PERSON_NOT_FOUND"]},"timestamp":{"type":"integer","format":"int64"},"gbdsTguid":{"type":"string"},"spidxTguid":{"type":"string"},"psbioTcn":{"type":"string"},"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedUpdateVersion

> This method performs the automatic update for the SPID Server application.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/update-version":{"get":{"tags":["Deprecated"],"operationId":"deprecatedUpdateVersion","summary":"deprecatedUpdateVersion","description":"This method performs the automatic update for the SPID Server application.","responses":{"200":{"description":"OK","content":{"application/octet-stream":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedSearch

> This method performs a biometric search in the database.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/search":{"post":{"tags":["Deprecated"],"operationId":"deprecatedSearch","summary":"deprecatedSearch","description":"This method performs a biometric search in the database.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegacySearchRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResult"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"LegacySearchRequest":{"type":"object","properties":{"operator":{"type":"string"},"timestamp":{"type":"integer","format":"int64"},"keys":{"type":"array","items":{"$ref":"#/components/schemas/Key"}},"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/ContentData"}}}},"Key":{"type":"object","properties":{"id":{"type":"string"},"value":{"type":"string"}}},"ContentData":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"properties":{"$ref":"#/components/schemas/ContentProperties"},"source":{"type":"string","enum":["ORIGINAL","TEMPLATE","CONSOLIDATED_TEMPLATE"]},"type":{"type":"string","enum":["FINGERPRINT","PALMPRINT","FOOTPRINT","FACE","IRIS","VOICE","SIGNATURE","SEQUENCE_CONTROL","PLAIN_TEXT","IMAGE","AUDIO","VIDEO","NONE","OTHER","UNKNOWN"]},"format":{"type":"string","enum":["ASCII","BASE64","RAW","WSQ","PNG","JPEG","JPEG2000","TIFF","GIF","BMP","_3GP","AAC","AIFF","M4A","MP3","OGG","PCM","WAV","WMA","MKV","FLV","AVI","MOV","WMV","MP4","MPEG","MPG","M4V","PRIVATE","ISO","ANSI","NONE","OTHER","UNKNOWN"]}}},"ContentProperties":{"type":"object","properties":{"width":{"type":"integer","format":"int32","deprecated":true},"height":{"type":"integer","format":"int32","deprecated":true},"resolution":{"type":"integer","format":"int32","deprecated":true},"ratio":{"type":"number","format":"double","deprecated":true},"latent":{"type":"boolean","deprecated":true},"description":{"type":"string"},"quality":{"type":"integer","format":"int32"},"index":{"type":"string","enum":["NONE","OTHER","UNKNOWN","LEFT_LITTLE","LEFT_RING","LEFT_MIDDLE","LEFT_INDEX","LEFT_THUMB","RIGHT_THUMB","RIGHT_INDEX","RIGHT_MIDDLE","RIGHT_RING","RIGHT_LITTLE","LEFT_TOPS_CTRL","RIGHT_TOPS_CTRL","LEFT_THUMB_CTRL","RIGHT_THUMB_CTRL","LEFT_TOP","LEFT_BOTTOM","LEFT_WRITER","RIGHT_TOP","RIGHT_BOTTOM","RIGHT_WRITER","LEFT_IRIS","RIGHT_IRIS","FACE_FRONTAL","LEFT_SIDE","RIGHT_SIDE","MUGSHOT_FRONTAL","MUGSHOT_LEFT_SIDE","MUGSHOT_RIGHT_SIDE","TATOO","SCAR","MARK","SIGNATURE"]},"location":{"type":"string","enum":["NONE","OTHER","UNKNOWN","FINGERPRINT","PALM","FOOT","FACE","BACK_HEAD","LEFT_FRONT_NECK","RIGHT_FRONT_NECK","LEFT_SHOLDER","RIGHT_SHOLDER","LEFT_CHEST","RIGHT_CHEST","LEFT_ARM","RIGHT_ARM","LEFT_FOREARM","RIGHT_FOREARM","LEFT_WRIST","RIGHT_WRIST","LEFT_HAND","RIGHT_HAND","STOMACH","ABDOMEN","LEFT_RIB","RIGHT_RIB","LEFT_WAIST","RIGHT_WAIST","GROIN","LEFT_THIGH","RIGHT_THIGH","LEFT_KNEE","RIGHT_KNEE","LEFT_LOWER_LEG","RIGHT_LOWER_LEG","LEFT_FOOT","RIGHT_FOOT","LEFT_BACK_NECK","RIGHT_BACK_NECK","LEFT_BACK_SHOLDER","RIGHT_BACK_SHOLDER","LEFT_UPPER_BACK","RIGHT_UPPER_BACK","LEFT_LOWER_BACK","RIGHT_LOWER_BACK","LEFT_GLUTEUS","RIGHT_GLUTEUS","LEFT_REAR_ARM","RIGHT_REAR_ARM","LEFT_ELBOW","RIGHT_ELBOW","LEFT_REAR_FOREARM","RIGHT_REAR_FOREARM","LEFT_REAR_LEG","RIGHT_REAR_LEG","LEFT_CALF","RIGHT_CALF","LEFT_ANKLE","RIGHT_ANKLE","LEFT_HEEL","RIGHT_HEEL"]},"anomaly":{"type":"string","enum":["NONE","ADACTILY","ANKYLOSIS","ECTRODACTILY","HIPERFALANGIA","POLYDACTILY","MICRODACTILY","MACRODACTILY","SINDATILY","DAMAGED","BANDAGED","IGNORED","AMPUTATED"]},"metadata":{"type":"array","items":{"type":"string","format":"byte"}},"capture-date":{"type":"string","format":"date-time"},"capture-type":{"type":"string","enum":["FLAT","FLAT_TWO_FINGERS","ROLLED","LEFT_TOP","LEFT_BOTTOM","LEFT_WRITER","RIGHT_TOP","RIGHT_BOTTOM","RIGHT_WRITER","LIVE","FILE"]},"template-properties":{"$ref":"#/components/schemas/TemplateProperties"},"image-properties":{"$ref":"#/components/schemas/ImageProperties"},"audio-properties":{"$ref":"#/components/schemas/AudioProperties"},"video-properties":{"$ref":"#/components/schemas/VideoProperties"},"fingerprint-properties":{"$ref":"#/components/schemas/FingerprintProperties"},"face-properties":{"$ref":"#/components/schemas/FaceProperties"},"signature-properties":{"$ref":"#/components/schemas/SignatureProperties"}}},"TemplateProperties":{"type":"object","properties":{"resolution":{"type":"integer","format":"int32"}}},"ImageProperties":{"type":"object","properties":{"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"},"ratio":{"type":"number","format":"double"}}},"AudioProperties":{"type":"object","properties":{"codec":{"type":"string","enum":["PCM","FLAC","AC3","DTS","MP3","AAC","WMA","VOX","DSS","OTHER"]},"channels":{"type":"integer","format":"int32"},"sample-size":{"type":"integer","format":"int32"},"sample-rate":{"type":"integer","format":"int32"},"bit-rate":{"type":"integer","format":"int32"}}},"VideoProperties":{"type":"object","properties":{"audio-codec":{"type":"string","enum":["PCM","FLAC","AC3","DTS","MP3","AAC","WMA","VOX","DSS","OTHER"]},"video-codec":{"type":"string","enum":["X265","X264","XVID","MPEG4","_3IVX","WMV"]},"audio-bit-rate":{"type":"integer","format":"int32"},"video-bit-rate":{"type":"integer","format":"int32"},"total-bit-rate":{"type":"integer","format":"int32"},"frame-width":{"type":"integer","format":"int32"},"frame-height":{"type":"integer","format":"int32"},"frame-rate":{"type":"integer","format":"int32"}}},"FingerprintProperties":{"type":"object","properties":{"type":{"type":"string","enum":["MAIN","SEQUENCE_CONTROL"]},"nfiq":{"type":"integer","format":"int32"},"contrast":{"type":"integer","format":"int32"},"direction":{"type":"string","enum":["LEFT_TO_RIGHT","RIGHT_TO_LEFT"]},"reversions":{"type":"integer","format":"int32"},"slips":{"type":"integer","format":"int32"},"frames":{"type":"integer","format":"int32"},"latent":{"type":"boolean"},"dirty-start":{"type":"boolean"},"dirty-latter":{"type":"boolean"}}},"FaceProperties":{"type":"object","properties":{"icao":{"type":"boolean"},"glasses":{"type":"boolean"},"shoulder":{"type":"boolean"},"smiling":{"type":"boolean"},"mouth":{"$ref":"#/components/schemas/Position"},"busy-background":{"type":"boolean"},"saturated-picture":{"type":"boolean"},"blurred-picture":{"type":"boolean"},"crop-out-of-picture":{"type":"boolean"},"skin-color":{"type":"boolean"},"face-position":{"type":"boolean"},"face-right":{"type":"boolean"},"face-left":{"type":"boolean"},"face-up":{"type":"boolean"},"face-down":{"type":"boolean"},"heavy-glasses":{"type":"boolean"},"shoulder-left":{"type":"boolean"},"shoulder-right":{"type":"boolean"},"eyes-obstruction":{"type":"boolean"},"looking-down":{"type":"boolean"},"looking-up":{"type":"boolean"},"looking-right":{"type":"boolean"},"looking-left":{"type":"boolean"},"too-open-eyes":{"type":"boolean"},"too-closed-eyes":{"type":"boolean"},"red-eyes":{"type":"boolean"},"open-mouth":{"type":"boolean"},"showing-teeth":{"type":"boolean"},"left-eye":{"$ref":"#/components/schemas/Position"},"right-eye":{"$ref":"#/components/schemas/Position"},"recomended-brightness":{"type":"number","format":"float"},"recomended-contrast":{"type":"number","format":"float"},"number-of-faces":{"type":"integer","format":"int32"}}},"Position":{"type":"object","properties":{"x":{"type":"integer","format":"int32"},"y":{"type":"integer","format":"int32"}}},"SignatureProperties":{"type":"object","properties":{"notSignable":{"type":"boolean"}}},"ServiceResult":{"type":"object","properties":{"status":{"type":"string","enum":["OK","ERROR","AUTHENTICATION_OK","AUTHENTICATION_FAILED","INVALID_SESSION_GUID","PERSON_NOT_FOUND","NO_PERSON_FOUND","ENROLL_ENQUEUED","ENROLL_IN_PROGRESS","ENROLL_OK","ENROLL_ANOMALY","ENROLL_FAILED","ENROLL_PENDING","ENROLL_CACHE_OK","ENROLL_CONTINGENCY_OK","SEARCH_ENQUEUED","SEARCH_IN_PROGRESS","SEARCH_FAILED","SEARCH_MATCH","SEARCH_NOT_MATCH","DELETE_OK","DELETE_FAILED","OPERATOR_OK","OPERATOR_FAILED","OPERATOR_PENDING","REMOVE_FROM_REFERENCE_OK","REMOVE_FROM_REFERENCE_FAILED","ADD_TO_REFERENCE_OK","ADD_TO_REFERENCE_FAILED","REMOVE_KEYS_OK","ENQUEUED"]},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"candidates":{"type":"array","items":{"$ref":"#/components/schemas/Candidate"}},"persons":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"person":{"$ref":"#/components/schemas/LegacyPerson"},"transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyTransaction"}},"progress":{"type":"number","format":"float"},"count":{"type":"integer","format":"int32"},"session-guid":{"type":"string"},"transaction-guid":{"type":"string"},"person-guid":{"type":"string"},"enroll-transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"anomalies-status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]}}},"Candidate":{"type":"object","properties":{"anomaly":{"$ref":"#/components/schemas/Anomaly"},"person-guid":{"type":"string"},"transaction-guid":{"type":"string"},"match-info":{"type":"array","items":{"$ref":"#/components/schemas/MatchInfo"}},"biometric-count":{"type":"integer","format":"int64"}}},"Anomaly":{"type":"object","properties":{"status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]},"user":{"type":"string"},"comments":{"type":"string"},"date":{"type":"string","format":"date-time"}}},"MatchInfo":{"type":"object","properties":{"score":{"type":"integer","format":"int32"},"matches":{"type":"array","items":{"$ref":"#/components/schemas/Match"}},"query-index":{"type":"integer","format":"int32"},"reference-index":{"type":"integer","format":"int32"}}},"Match":{"type":"object","properties":{"query":{"type":"integer","format":"int32"},"reference":{"type":"integer","format":"int32"}}},"LegacyPerson":{"type":"object","properties":{"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}},"userId":{"type":"string"},"idn":{"type":"string"}}},"Biometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"}}},"MissingBiometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"type":{"type":"string","enum":["AMPUTATED","UNAVAILABLE"]},"reason":{"type":"string"}}},"LegacyTransaction":{"type":"object","properties":{"id":{"type":"string"},"userId":{"type":"string"},"operatorId":{"type":"string"},"type":{"type":"string","enum":["ENROLL","UPDATE","SEARCH","VERIFY","DELETE"]},"status":{"type":"string","enum":["OK","SEARCH_PENDING","SEARCH_ENQUEUED","SEARCH_MATCH","SEARCH_NOT_MATCH","SEARCH_FAILED","ENROLL_PENDING","ENROLL_ENQUEUED","ENROLL_CACHE_OK","ENROLL_OK","ENROLL_FAILED","ENROLL_EXCEPTION","DELETE_OK","DELETE_FAILED","DELETE_PENDING","REMOTE_CAPTURE_PENDING","FRAUD","ERROR","ENROLL_REJECTED","PERSON_NOT_FOUND"]},"timestamp":{"type":"integer","format":"int64"},"gbdsTguid":{"type":"string"},"spidxTguid":{"type":"string"},"psbioTcn":{"type":"string"},"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedGetOperator

> This method returns the information of an operator, given its search keys.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/get-operator/{sessionGuid}/{key}":{"get":{"tags":["Deprecated"],"operationId":"deprecatedGetOperator","summary":"deprecatedGetOperator","description":"This method returns the information of an operator, given its search keys.","parameters":[{"name":"sessionGuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"key","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResult"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ServiceResult":{"type":"object","properties":{"status":{"type":"string","enum":["OK","ERROR","AUTHENTICATION_OK","AUTHENTICATION_FAILED","INVALID_SESSION_GUID","PERSON_NOT_FOUND","NO_PERSON_FOUND","ENROLL_ENQUEUED","ENROLL_IN_PROGRESS","ENROLL_OK","ENROLL_ANOMALY","ENROLL_FAILED","ENROLL_PENDING","ENROLL_CACHE_OK","ENROLL_CONTINGENCY_OK","SEARCH_ENQUEUED","SEARCH_IN_PROGRESS","SEARCH_FAILED","SEARCH_MATCH","SEARCH_NOT_MATCH","DELETE_OK","DELETE_FAILED","OPERATOR_OK","OPERATOR_FAILED","OPERATOR_PENDING","REMOVE_FROM_REFERENCE_OK","REMOVE_FROM_REFERENCE_FAILED","ADD_TO_REFERENCE_OK","ADD_TO_REFERENCE_FAILED","REMOVE_KEYS_OK","ENQUEUED"]},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"candidates":{"type":"array","items":{"$ref":"#/components/schemas/Candidate"}},"persons":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"person":{"$ref":"#/components/schemas/LegacyPerson"},"transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyTransaction"}},"progress":{"type":"number","format":"float"},"count":{"type":"integer","format":"int32"},"session-guid":{"type":"string"},"transaction-guid":{"type":"string"},"person-guid":{"type":"string"},"enroll-transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"anomalies-status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]}}},"Candidate":{"type":"object","properties":{"anomaly":{"$ref":"#/components/schemas/Anomaly"},"person-guid":{"type":"string"},"transaction-guid":{"type":"string"},"match-info":{"type":"array","items":{"$ref":"#/components/schemas/MatchInfo"}},"biometric-count":{"type":"integer","format":"int64"}}},"Anomaly":{"type":"object","properties":{"status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]},"user":{"type":"string"},"comments":{"type":"string"},"date":{"type":"string","format":"date-time"}}},"MatchInfo":{"type":"object","properties":{"score":{"type":"integer","format":"int32"},"matches":{"type":"array","items":{"$ref":"#/components/schemas/Match"}},"query-index":{"type":"integer","format":"int32"},"reference-index":{"type":"integer","format":"int32"}}},"Match":{"type":"object","properties":{"query":{"type":"integer","format":"int32"},"reference":{"type":"integer","format":"int32"}}},"LegacyPerson":{"type":"object","properties":{"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}},"userId":{"type":"string"},"idn":{"type":"string"}}},"Biometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"}}},"MissingBiometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"type":{"type":"string","enum":["AMPUTATED","UNAVAILABLE"]},"reason":{"type":"string"}}},"LegacyTransaction":{"type":"object","properties":{"id":{"type":"string"},"userId":{"type":"string"},"operatorId":{"type":"string"},"type":{"type":"string","enum":["ENROLL","UPDATE","SEARCH","VERIFY","DELETE"]},"status":{"type":"string","enum":["OK","SEARCH_PENDING","SEARCH_ENQUEUED","SEARCH_MATCH","SEARCH_NOT_MATCH","SEARCH_FAILED","ENROLL_PENDING","ENROLL_ENQUEUED","ENROLL_CACHE_OK","ENROLL_OK","ENROLL_FAILED","ENROLL_EXCEPTION","DELETE_OK","DELETE_FAILED","DELETE_PENDING","REMOTE_CAPTURE_PENDING","FRAUD","ERROR","ENROLL_REJECTED","PERSON_NOT_FOUND"]},"timestamp":{"type":"integer","format":"int64"},"gbdsTguid":{"type":"string"},"spidxTguid":{"type":"string"},"psbioTcn":{"type":"string"},"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedGetEnrollResult

> This method returnts the result of an enrollment transaction, given its TGUID.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/get-enroll-result/{sessionGuid}/{transactionGuid}":{"get":{"tags":["Deprecated"],"operationId":"deprecatedGetEnrollResult","summary":"deprecatedGetEnrollResult","description":"This method returnts the result of an enrollment transaction, given its TGUID.","parameters":[{"name":"sessionGuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"transactionGuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResult"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ServiceResult":{"type":"object","properties":{"status":{"type":"string","enum":["OK","ERROR","AUTHENTICATION_OK","AUTHENTICATION_FAILED","INVALID_SESSION_GUID","PERSON_NOT_FOUND","NO_PERSON_FOUND","ENROLL_ENQUEUED","ENROLL_IN_PROGRESS","ENROLL_OK","ENROLL_ANOMALY","ENROLL_FAILED","ENROLL_PENDING","ENROLL_CACHE_OK","ENROLL_CONTINGENCY_OK","SEARCH_ENQUEUED","SEARCH_IN_PROGRESS","SEARCH_FAILED","SEARCH_MATCH","SEARCH_NOT_MATCH","DELETE_OK","DELETE_FAILED","OPERATOR_OK","OPERATOR_FAILED","OPERATOR_PENDING","REMOVE_FROM_REFERENCE_OK","REMOVE_FROM_REFERENCE_FAILED","ADD_TO_REFERENCE_OK","ADD_TO_REFERENCE_FAILED","REMOVE_KEYS_OK","ENQUEUED"]},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"candidates":{"type":"array","items":{"$ref":"#/components/schemas/Candidate"}},"persons":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"person":{"$ref":"#/components/schemas/LegacyPerson"},"transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyTransaction"}},"progress":{"type":"number","format":"float"},"count":{"type":"integer","format":"int32"},"session-guid":{"type":"string"},"transaction-guid":{"type":"string"},"person-guid":{"type":"string"},"enroll-transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"anomalies-status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]}}},"Candidate":{"type":"object","properties":{"anomaly":{"$ref":"#/components/schemas/Anomaly"},"person-guid":{"type":"string"},"transaction-guid":{"type":"string"},"match-info":{"type":"array","items":{"$ref":"#/components/schemas/MatchInfo"}},"biometric-count":{"type":"integer","format":"int64"}}},"Anomaly":{"type":"object","properties":{"status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]},"user":{"type":"string"},"comments":{"type":"string"},"date":{"type":"string","format":"date-time"}}},"MatchInfo":{"type":"object","properties":{"score":{"type":"integer","format":"int32"},"matches":{"type":"array","items":{"$ref":"#/components/schemas/Match"}},"query-index":{"type":"integer","format":"int32"},"reference-index":{"type":"integer","format":"int32"}}},"Match":{"type":"object","properties":{"query":{"type":"integer","format":"int32"},"reference":{"type":"integer","format":"int32"}}},"LegacyPerson":{"type":"object","properties":{"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}},"userId":{"type":"string"},"idn":{"type":"string"}}},"Biometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"}}},"MissingBiometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"type":{"type":"string","enum":["AMPUTATED","UNAVAILABLE"]},"reason":{"type":"string"}}},"LegacyTransaction":{"type":"object","properties":{"id":{"type":"string"},"userId":{"type":"string"},"operatorId":{"type":"string"},"type":{"type":"string","enum":["ENROLL","UPDATE","SEARCH","VERIFY","DELETE"]},"status":{"type":"string","enum":["OK","SEARCH_PENDING","SEARCH_ENQUEUED","SEARCH_MATCH","SEARCH_NOT_MATCH","SEARCH_FAILED","ENROLL_PENDING","ENROLL_ENQUEUED","ENROLL_CACHE_OK","ENROLL_OK","ENROLL_FAILED","ENROLL_EXCEPTION","DELETE_OK","DELETE_FAILED","DELETE_PENDING","REMOTE_CAPTURE_PENDING","FRAUD","ERROR","ENROLL_REJECTED","PERSON_NOT_FOUND"]},"timestamp":{"type":"integer","format":"int64"},"gbdsTguid":{"type":"string"},"spidxTguid":{"type":"string"},"psbioTcn":{"type":"string"},"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedOperatorList

> This method returns a list the valid operators into the database.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/operator-list":{"get":{"tags":["Deprecated"],"operationId":"deprecatedOperatorList","summary":"deprecatedOperatorList","description":"This method returns a list the valid operators into the database.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operator"}}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"Operator":{"type":"object","properties":{"document":{"type":"string"},"status":{"type":"string","enum":["VERIFIED","GOD_MODE","PENDING","EXCEPTION","ENQUEUED","DELETED"]},"tguid":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedEnrollOperator

> This method submits an operator enrollment to the server.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/enroll-operator":{"post":{"tags":["Deprecated"],"operationId":"deprecatedEnrollOperator","summary":"deprecatedEnrollOperator","description":"This method submits an operator enrollment to the server.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Enroll"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResult"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"Enroll":{"type":"object","properties":{"metadata":{"type":"array","items":{"type":"string","format":"byte"}},"timeout":{"type":"integer","format":"int32"},"labels":{"type":"array","items":{"type":"string"}},"filters":{"type":"array","items":{"type":"string"}},"priority":{"type":"string","enum":["LOWEST_PRIORITY","LOWER_PRIORITY","LOW_PRIORITY","DEFAULT_PRIORITY","HIGH_PRIORITY","HIGHER_PRIORITY","HIGHEST_PRIORITY"]},"session-guid":{"type":"string"},"person-guid":{"type":"string"},"keys":{"type":"array","items":{"$ref":"#/components/schemas/Key"}},"biographics":{"type":"array","items":{"$ref":"#/components/schemas/BiographicData"}},"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/ContentData"}},"auxiliaries":{"type":"array","items":{"$ref":"#/components/schemas/ContentData"}},"matching-index":{"type":"string","enum":["SAME_FINGERS","ALL_FINGERS","CROSSED_WINDOW_TWEEZERS"]},"force-face-search":{"type":"boolean"}}},"Key":{"type":"object","properties":{"id":{"type":"string"},"value":{"type":"string"}}},"BiographicData":{"type":"object","properties":{"id":{"type":"string"},"value":{"type":"string"}}},"ContentData":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"properties":{"$ref":"#/components/schemas/ContentProperties"},"source":{"type":"string","enum":["ORIGINAL","TEMPLATE","CONSOLIDATED_TEMPLATE"]},"type":{"type":"string","enum":["FINGERPRINT","PALMPRINT","FOOTPRINT","FACE","IRIS","VOICE","SIGNATURE","SEQUENCE_CONTROL","PLAIN_TEXT","IMAGE","AUDIO","VIDEO","NONE","OTHER","UNKNOWN"]},"format":{"type":"string","enum":["ASCII","BASE64","RAW","WSQ","PNG","JPEG","JPEG2000","TIFF","GIF","BMP","_3GP","AAC","AIFF","M4A","MP3","OGG","PCM","WAV","WMA","MKV","FLV","AVI","MOV","WMV","MP4","MPEG","MPG","M4V","PRIVATE","ISO","ANSI","NONE","OTHER","UNKNOWN"]}}},"ContentProperties":{"type":"object","properties":{"width":{"type":"integer","format":"int32","deprecated":true},"height":{"type":"integer","format":"int32","deprecated":true},"resolution":{"type":"integer","format":"int32","deprecated":true},"ratio":{"type":"number","format":"double","deprecated":true},"latent":{"type":"boolean","deprecated":true},"description":{"type":"string"},"quality":{"type":"integer","format":"int32"},"index":{"type":"string","enum":["NONE","OTHER","UNKNOWN","LEFT_LITTLE","LEFT_RING","LEFT_MIDDLE","LEFT_INDEX","LEFT_THUMB","RIGHT_THUMB","RIGHT_INDEX","RIGHT_MIDDLE","RIGHT_RING","RIGHT_LITTLE","LEFT_TOPS_CTRL","RIGHT_TOPS_CTRL","LEFT_THUMB_CTRL","RIGHT_THUMB_CTRL","LEFT_TOP","LEFT_BOTTOM","LEFT_WRITER","RIGHT_TOP","RIGHT_BOTTOM","RIGHT_WRITER","LEFT_IRIS","RIGHT_IRIS","FACE_FRONTAL","LEFT_SIDE","RIGHT_SIDE","MUGSHOT_FRONTAL","MUGSHOT_LEFT_SIDE","MUGSHOT_RIGHT_SIDE","TATOO","SCAR","MARK","SIGNATURE"]},"location":{"type":"string","enum":["NONE","OTHER","UNKNOWN","FINGERPRINT","PALM","FOOT","FACE","BACK_HEAD","LEFT_FRONT_NECK","RIGHT_FRONT_NECK","LEFT_SHOLDER","RIGHT_SHOLDER","LEFT_CHEST","RIGHT_CHEST","LEFT_ARM","RIGHT_ARM","LEFT_FOREARM","RIGHT_FOREARM","LEFT_WRIST","RIGHT_WRIST","LEFT_HAND","RIGHT_HAND","STOMACH","ABDOMEN","LEFT_RIB","RIGHT_RIB","LEFT_WAIST","RIGHT_WAIST","GROIN","LEFT_THIGH","RIGHT_THIGH","LEFT_KNEE","RIGHT_KNEE","LEFT_LOWER_LEG","RIGHT_LOWER_LEG","LEFT_FOOT","RIGHT_FOOT","LEFT_BACK_NECK","RIGHT_BACK_NECK","LEFT_BACK_SHOLDER","RIGHT_BACK_SHOLDER","LEFT_UPPER_BACK","RIGHT_UPPER_BACK","LEFT_LOWER_BACK","RIGHT_LOWER_BACK","LEFT_GLUTEUS","RIGHT_GLUTEUS","LEFT_REAR_ARM","RIGHT_REAR_ARM","LEFT_ELBOW","RIGHT_ELBOW","LEFT_REAR_FOREARM","RIGHT_REAR_FOREARM","LEFT_REAR_LEG","RIGHT_REAR_LEG","LEFT_CALF","RIGHT_CALF","LEFT_ANKLE","RIGHT_ANKLE","LEFT_HEEL","RIGHT_HEEL"]},"anomaly":{"type":"string","enum":["NONE","ADACTILY","ANKYLOSIS","ECTRODACTILY","HIPERFALANGIA","POLYDACTILY","MICRODACTILY","MACRODACTILY","SINDATILY","DAMAGED","BANDAGED","IGNORED","AMPUTATED"]},"metadata":{"type":"array","items":{"type":"string","format":"byte"}},"capture-date":{"type":"string","format":"date-time"},"capture-type":{"type":"string","enum":["FLAT","FLAT_TWO_FINGERS","ROLLED","LEFT_TOP","LEFT_BOTTOM","LEFT_WRITER","RIGHT_TOP","RIGHT_BOTTOM","RIGHT_WRITER","LIVE","FILE"]},"template-properties":{"$ref":"#/components/schemas/TemplateProperties"},"image-properties":{"$ref":"#/components/schemas/ImageProperties"},"audio-properties":{"$ref":"#/components/schemas/AudioProperties"},"video-properties":{"$ref":"#/components/schemas/VideoProperties"},"fingerprint-properties":{"$ref":"#/components/schemas/FingerprintProperties"},"face-properties":{"$ref":"#/components/schemas/FaceProperties"},"signature-properties":{"$ref":"#/components/schemas/SignatureProperties"}}},"TemplateProperties":{"type":"object","properties":{"resolution":{"type":"integer","format":"int32"}}},"ImageProperties":{"type":"object","properties":{"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"},"ratio":{"type":"number","format":"double"}}},"AudioProperties":{"type":"object","properties":{"codec":{"type":"string","enum":["PCM","FLAC","AC3","DTS","MP3","AAC","WMA","VOX","DSS","OTHER"]},"channels":{"type":"integer","format":"int32"},"sample-size":{"type":"integer","format":"int32"},"sample-rate":{"type":"integer","format":"int32"},"bit-rate":{"type":"integer","format":"int32"}}},"VideoProperties":{"type":"object","properties":{"audio-codec":{"type":"string","enum":["PCM","FLAC","AC3","DTS","MP3","AAC","WMA","VOX","DSS","OTHER"]},"video-codec":{"type":"string","enum":["X265","X264","XVID","MPEG4","_3IVX","WMV"]},"audio-bit-rate":{"type":"integer","format":"int32"},"video-bit-rate":{"type":"integer","format":"int32"},"total-bit-rate":{"type":"integer","format":"int32"},"frame-width":{"type":"integer","format":"int32"},"frame-height":{"type":"integer","format":"int32"},"frame-rate":{"type":"integer","format":"int32"}}},"FingerprintProperties":{"type":"object","properties":{"type":{"type":"string","enum":["MAIN","SEQUENCE_CONTROL"]},"nfiq":{"type":"integer","format":"int32"},"contrast":{"type":"integer","format":"int32"},"direction":{"type":"string","enum":["LEFT_TO_RIGHT","RIGHT_TO_LEFT"]},"reversions":{"type":"integer","format":"int32"},"slips":{"type":"integer","format":"int32"},"frames":{"type":"integer","format":"int32"},"latent":{"type":"boolean"},"dirty-start":{"type":"boolean"},"dirty-latter":{"type":"boolean"}}},"FaceProperties":{"type":"object","properties":{"icao":{"type":"boolean"},"glasses":{"type":"boolean"},"shoulder":{"type":"boolean"},"smiling":{"type":"boolean"},"mouth":{"$ref":"#/components/schemas/Position"},"busy-background":{"type":"boolean"},"saturated-picture":{"type":"boolean"},"blurred-picture":{"type":"boolean"},"crop-out-of-picture":{"type":"boolean"},"skin-color":{"type":"boolean"},"face-position":{"type":"boolean"},"face-right":{"type":"boolean"},"face-left":{"type":"boolean"},"face-up":{"type":"boolean"},"face-down":{"type":"boolean"},"heavy-glasses":{"type":"boolean"},"shoulder-left":{"type":"boolean"},"shoulder-right":{"type":"boolean"},"eyes-obstruction":{"type":"boolean"},"looking-down":{"type":"boolean"},"looking-up":{"type":"boolean"},"looking-right":{"type":"boolean"},"looking-left":{"type":"boolean"},"too-open-eyes":{"type":"boolean"},"too-closed-eyes":{"type":"boolean"},"red-eyes":{"type":"boolean"},"open-mouth":{"type":"boolean"},"showing-teeth":{"type":"boolean"},"left-eye":{"$ref":"#/components/schemas/Position"},"right-eye":{"$ref":"#/components/schemas/Position"},"recomended-brightness":{"type":"number","format":"float"},"recomended-contrast":{"type":"number","format":"float"},"number-of-faces":{"type":"integer","format":"int32"}}},"Position":{"type":"object","properties":{"x":{"type":"integer","format":"int32"},"y":{"type":"integer","format":"int32"}}},"SignatureProperties":{"type":"object","properties":{"notSignable":{"type":"boolean"}}},"ServiceResult":{"type":"object","properties":{"status":{"type":"string","enum":["OK","ERROR","AUTHENTICATION_OK","AUTHENTICATION_FAILED","INVALID_SESSION_GUID","PERSON_NOT_FOUND","NO_PERSON_FOUND","ENROLL_ENQUEUED","ENROLL_IN_PROGRESS","ENROLL_OK","ENROLL_ANOMALY","ENROLL_FAILED","ENROLL_PENDING","ENROLL_CACHE_OK","ENROLL_CONTINGENCY_OK","SEARCH_ENQUEUED","SEARCH_IN_PROGRESS","SEARCH_FAILED","SEARCH_MATCH","SEARCH_NOT_MATCH","DELETE_OK","DELETE_FAILED","OPERATOR_OK","OPERATOR_FAILED","OPERATOR_PENDING","REMOVE_FROM_REFERENCE_OK","REMOVE_FROM_REFERENCE_FAILED","ADD_TO_REFERENCE_OK","ADD_TO_REFERENCE_FAILED","REMOVE_KEYS_OK","ENQUEUED"]},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"candidates":{"type":"array","items":{"$ref":"#/components/schemas/Candidate"}},"persons":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"person":{"$ref":"#/components/schemas/LegacyPerson"},"transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyTransaction"}},"progress":{"type":"number","format":"float"},"count":{"type":"integer","format":"int32"},"session-guid":{"type":"string"},"transaction-guid":{"type":"string"},"person-guid":{"type":"string"},"enroll-transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"anomalies-status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]}}},"Candidate":{"type":"object","properties":{"anomaly":{"$ref":"#/components/schemas/Anomaly"},"person-guid":{"type":"string"},"transaction-guid":{"type":"string"},"match-info":{"type":"array","items":{"$ref":"#/components/schemas/MatchInfo"}},"biometric-count":{"type":"integer","format":"int64"}}},"Anomaly":{"type":"object","properties":{"status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]},"user":{"type":"string"},"comments":{"type":"string"},"date":{"type":"string","format":"date-time"}}},"MatchInfo":{"type":"object","properties":{"score":{"type":"integer","format":"int32"},"matches":{"type":"array","items":{"$ref":"#/components/schemas/Match"}},"query-index":{"type":"integer","format":"int32"},"reference-index":{"type":"integer","format":"int32"}}},"Match":{"type":"object","properties":{"query":{"type":"integer","format":"int32"},"reference":{"type":"integer","format":"int32"}}},"LegacyPerson":{"type":"object","properties":{"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}},"userId":{"type":"string"},"idn":{"type":"string"}}},"Biometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"}}},"MissingBiometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"type":{"type":"string","enum":["AMPUTATED","UNAVAILABLE"]},"reason":{"type":"string"}}},"LegacyTransaction":{"type":"object","properties":{"id":{"type":"string"},"userId":{"type":"string"},"operatorId":{"type":"string"},"type":{"type":"string","enum":["ENROLL","UPDATE","SEARCH","VERIFY","DELETE"]},"status":{"type":"string","enum":["OK","SEARCH_PENDING","SEARCH_ENQUEUED","SEARCH_MATCH","SEARCH_NOT_MATCH","SEARCH_FAILED","ENROLL_PENDING","ENROLL_ENQUEUED","ENROLL_CACHE_OK","ENROLL_OK","ENROLL_FAILED","ENROLL_EXCEPTION","DELETE_OK","DELETE_FAILED","DELETE_PENDING","REMOTE_CAPTURE_PENDING","FRAUD","ERROR","ENROLL_REJECTED","PERSON_NOT_FOUND"]},"timestamp":{"type":"integer","format":"int64"},"gbdsTguid":{"type":"string"},"spidxTguid":{"type":"string"},"psbioTcn":{"type":"string"},"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedGetPerson

> This method returns the data of a person, given its search keys.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/get-person/{sessionGuid}/{key}":{"get":{"tags":["Deprecated"],"operationId":"deprecatedGetPerson","summary":"deprecatedGetPerson","description":"This method returns the data of a person, given its search keys.","parameters":[{"name":"sessionGuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"key","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResult"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ServiceResult":{"type":"object","properties":{"status":{"type":"string","enum":["OK","ERROR","AUTHENTICATION_OK","AUTHENTICATION_FAILED","INVALID_SESSION_GUID","PERSON_NOT_FOUND","NO_PERSON_FOUND","ENROLL_ENQUEUED","ENROLL_IN_PROGRESS","ENROLL_OK","ENROLL_ANOMALY","ENROLL_FAILED","ENROLL_PENDING","ENROLL_CACHE_OK","ENROLL_CONTINGENCY_OK","SEARCH_ENQUEUED","SEARCH_IN_PROGRESS","SEARCH_FAILED","SEARCH_MATCH","SEARCH_NOT_MATCH","DELETE_OK","DELETE_FAILED","OPERATOR_OK","OPERATOR_FAILED","OPERATOR_PENDING","REMOVE_FROM_REFERENCE_OK","REMOVE_FROM_REFERENCE_FAILED","ADD_TO_REFERENCE_OK","ADD_TO_REFERENCE_FAILED","REMOVE_KEYS_OK","ENQUEUED"]},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"candidates":{"type":"array","items":{"$ref":"#/components/schemas/Candidate"}},"persons":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"person":{"$ref":"#/components/schemas/LegacyPerson"},"transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyTransaction"}},"progress":{"type":"number","format":"float"},"count":{"type":"integer","format":"int32"},"session-guid":{"type":"string"},"transaction-guid":{"type":"string"},"person-guid":{"type":"string"},"enroll-transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"anomalies-status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]}}},"Candidate":{"type":"object","properties":{"anomaly":{"$ref":"#/components/schemas/Anomaly"},"person-guid":{"type":"string"},"transaction-guid":{"type":"string"},"match-info":{"type":"array","items":{"$ref":"#/components/schemas/MatchInfo"}},"biometric-count":{"type":"integer","format":"int64"}}},"Anomaly":{"type":"object","properties":{"status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]},"user":{"type":"string"},"comments":{"type":"string"},"date":{"type":"string","format":"date-time"}}},"MatchInfo":{"type":"object","properties":{"score":{"type":"integer","format":"int32"},"matches":{"type":"array","items":{"$ref":"#/components/schemas/Match"}},"query-index":{"type":"integer","format":"int32"},"reference-index":{"type":"integer","format":"int32"}}},"Match":{"type":"object","properties":{"query":{"type":"integer","format":"int32"},"reference":{"type":"integer","format":"int32"}}},"LegacyPerson":{"type":"object","properties":{"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}},"userId":{"type":"string"},"idn":{"type":"string"}}},"Biometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"}}},"MissingBiometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"type":{"type":"string","enum":["AMPUTATED","UNAVAILABLE"]},"reason":{"type":"string"}}},"LegacyTransaction":{"type":"object","properties":{"id":{"type":"string"},"userId":{"type":"string"},"operatorId":{"type":"string"},"type":{"type":"string","enum":["ENROLL","UPDATE","SEARCH","VERIFY","DELETE"]},"status":{"type":"string","enum":["OK","SEARCH_PENDING","SEARCH_ENQUEUED","SEARCH_MATCH","SEARCH_NOT_MATCH","SEARCH_FAILED","ENROLL_PENDING","ENROLL_ENQUEUED","ENROLL_CACHE_OK","ENROLL_OK","ENROLL_FAILED","ENROLL_EXCEPTION","DELETE_OK","DELETE_FAILED","DELETE_PENDING","REMOTE_CAPTURE_PENDING","FRAUD","ERROR","ENROLL_REJECTED","PERSON_NOT_FOUND"]},"timestamp":{"type":"integer","format":"int64"},"gbdsTguid":{"type":"string"},"spidxTguid":{"type":"string"},"psbioTcn":{"type":"string"},"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedOperatorInsert

> This method inserts the data of a new operator into the server (it then needs to perform the biometric enrollment).

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/operator-insert/{document}/{status}":{"get":{"tags":["Deprecated"],"operationId":"deprecatedOperatorInsert","summary":"deprecatedOperatorInsert","description":"This method inserts the data of a new operator into the server (it then needs to perform the biometric enrollment).","parameters":[{"name":"document","in":"path","required":true,"schema":{"type":"string"}},{"name":"status","in":"path","required":true,"schema":{"type":"string","enum":["VERIFIED","GOD_MODE","PENDING","EXCEPTION","ENQUEUED","DELETED"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operator"}}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"Operator":{"type":"object","properties":{"document":{"type":"string"},"status":{"type":"string","enum":["VERIFIED","GOD_MODE","PENDING","EXCEPTION","ENQUEUED","DELETED"]},"tguid":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedGetSearchResult

> This method returns the result of a search operation, given its TGUID.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/get-search-result/{sessionGuid}/{transactionGuid}":{"get":{"tags":["Deprecated"],"operationId":"deprecatedGetSearchResult","summary":"deprecatedGetSearchResult","description":"This method returns the result of a search operation, given its TGUID.","parameters":[{"name":"sessionGuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"transactionGuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResult"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ServiceResult":{"type":"object","properties":{"status":{"type":"string","enum":["OK","ERROR","AUTHENTICATION_OK","AUTHENTICATION_FAILED","INVALID_SESSION_GUID","PERSON_NOT_FOUND","NO_PERSON_FOUND","ENROLL_ENQUEUED","ENROLL_IN_PROGRESS","ENROLL_OK","ENROLL_ANOMALY","ENROLL_FAILED","ENROLL_PENDING","ENROLL_CACHE_OK","ENROLL_CONTINGENCY_OK","SEARCH_ENQUEUED","SEARCH_IN_PROGRESS","SEARCH_FAILED","SEARCH_MATCH","SEARCH_NOT_MATCH","DELETE_OK","DELETE_FAILED","OPERATOR_OK","OPERATOR_FAILED","OPERATOR_PENDING","REMOVE_FROM_REFERENCE_OK","REMOVE_FROM_REFERENCE_FAILED","ADD_TO_REFERENCE_OK","ADD_TO_REFERENCE_FAILED","REMOVE_KEYS_OK","ENQUEUED"]},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"candidates":{"type":"array","items":{"$ref":"#/components/schemas/Candidate"}},"persons":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"person":{"$ref":"#/components/schemas/LegacyPerson"},"transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyTransaction"}},"progress":{"type":"number","format":"float"},"count":{"type":"integer","format":"int32"},"session-guid":{"type":"string"},"transaction-guid":{"type":"string"},"person-guid":{"type":"string"},"enroll-transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"anomalies-status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]}}},"Candidate":{"type":"object","properties":{"anomaly":{"$ref":"#/components/schemas/Anomaly"},"person-guid":{"type":"string"},"transaction-guid":{"type":"string"},"match-info":{"type":"array","items":{"$ref":"#/components/schemas/MatchInfo"}},"biometric-count":{"type":"integer","format":"int64"}}},"Anomaly":{"type":"object","properties":{"status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]},"user":{"type":"string"},"comments":{"type":"string"},"date":{"type":"string","format":"date-time"}}},"MatchInfo":{"type":"object","properties":{"score":{"type":"integer","format":"int32"},"matches":{"type":"array","items":{"$ref":"#/components/schemas/Match"}},"query-index":{"type":"integer","format":"int32"},"reference-index":{"type":"integer","format":"int32"}}},"Match":{"type":"object","properties":{"query":{"type":"integer","format":"int32"},"reference":{"type":"integer","format":"int32"}}},"LegacyPerson":{"type":"object","properties":{"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}},"userId":{"type":"string"},"idn":{"type":"string"}}},"Biometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"}}},"MissingBiometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"type":{"type":"string","enum":["AMPUTATED","UNAVAILABLE"]},"reason":{"type":"string"}}},"LegacyTransaction":{"type":"object","properties":{"id":{"type":"string"},"userId":{"type":"string"},"operatorId":{"type":"string"},"type":{"type":"string","enum":["ENROLL","UPDATE","SEARCH","VERIFY","DELETE"]},"status":{"type":"string","enum":["OK","SEARCH_PENDING","SEARCH_ENQUEUED","SEARCH_MATCH","SEARCH_NOT_MATCH","SEARCH_FAILED","ENROLL_PENDING","ENROLL_ENQUEUED","ENROLL_CACHE_OK","ENROLL_OK","ENROLL_FAILED","ENROLL_EXCEPTION","DELETE_OK","DELETE_FAILED","DELETE_PENDING","REMOTE_CAPTURE_PENDING","FRAUD","ERROR","ENROLL_REJECTED","PERSON_NOT_FOUND"]},"timestamp":{"type":"integer","format":"int64"},"gbdsTguid":{"type":"string"},"spidxTguid":{"type":"string"},"psbioTcn":{"type":"string"},"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedPing

> This method is intended for checking the SPID Server availability.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/ping":{"get":{"tags":["Deprecated"],"operationId":"deprecatedPing","summary":"deprecatedPing","description":"This method is intended for checking the SPID Server availability.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedGetOperatorStatus

> This method returns the status of an operator, given its search keys.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/get-operator-status/{sessionGuid}/{key}":{"get":{"tags":["Deprecated"],"operationId":"deprecatedGetOperatorStatus","summary":"deprecatedGetOperatorStatus","description":"This method returns the status of an operator, given its search keys.","parameters":[{"name":"sessionGuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"key","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResult"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ServiceResult":{"type":"object","properties":{"status":{"type":"string","enum":["OK","ERROR","AUTHENTICATION_OK","AUTHENTICATION_FAILED","INVALID_SESSION_GUID","PERSON_NOT_FOUND","NO_PERSON_FOUND","ENROLL_ENQUEUED","ENROLL_IN_PROGRESS","ENROLL_OK","ENROLL_ANOMALY","ENROLL_FAILED","ENROLL_PENDING","ENROLL_CACHE_OK","ENROLL_CONTINGENCY_OK","SEARCH_ENQUEUED","SEARCH_IN_PROGRESS","SEARCH_FAILED","SEARCH_MATCH","SEARCH_NOT_MATCH","DELETE_OK","DELETE_FAILED","OPERATOR_OK","OPERATOR_FAILED","OPERATOR_PENDING","REMOVE_FROM_REFERENCE_OK","REMOVE_FROM_REFERENCE_FAILED","ADD_TO_REFERENCE_OK","ADD_TO_REFERENCE_FAILED","REMOVE_KEYS_OK","ENQUEUED"]},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"candidates":{"type":"array","items":{"$ref":"#/components/schemas/Candidate"}},"persons":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"person":{"$ref":"#/components/schemas/LegacyPerson"},"transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyTransaction"}},"progress":{"type":"number","format":"float"},"count":{"type":"integer","format":"int32"},"session-guid":{"type":"string"},"transaction-guid":{"type":"string"},"person-guid":{"type":"string"},"enroll-transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"anomalies-status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]}}},"Candidate":{"type":"object","properties":{"anomaly":{"$ref":"#/components/schemas/Anomaly"},"person-guid":{"type":"string"},"transaction-guid":{"type":"string"},"match-info":{"type":"array","items":{"$ref":"#/components/schemas/MatchInfo"}},"biometric-count":{"type":"integer","format":"int64"}}},"Anomaly":{"type":"object","properties":{"status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]},"user":{"type":"string"},"comments":{"type":"string"},"date":{"type":"string","format":"date-time"}}},"MatchInfo":{"type":"object","properties":{"score":{"type":"integer","format":"int32"},"matches":{"type":"array","items":{"$ref":"#/components/schemas/Match"}},"query-index":{"type":"integer","format":"int32"},"reference-index":{"type":"integer","format":"int32"}}},"Match":{"type":"object","properties":{"query":{"type":"integer","format":"int32"},"reference":{"type":"integer","format":"int32"}}},"LegacyPerson":{"type":"object","properties":{"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}},"userId":{"type":"string"},"idn":{"type":"string"}}},"Biometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"}}},"MissingBiometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"type":{"type":"string","enum":["AMPUTATED","UNAVAILABLE"]},"reason":{"type":"string"}}},"LegacyTransaction":{"type":"object","properties":{"id":{"type":"string"},"userId":{"type":"string"},"operatorId":{"type":"string"},"type":{"type":"string","enum":["ENROLL","UPDATE","SEARCH","VERIFY","DELETE"]},"status":{"type":"string","enum":["OK","SEARCH_PENDING","SEARCH_ENQUEUED","SEARCH_MATCH","SEARCH_NOT_MATCH","SEARCH_FAILED","ENROLL_PENDING","ENROLL_ENQUEUED","ENROLL_CACHE_OK","ENROLL_OK","ENROLL_FAILED","ENROLL_EXCEPTION","DELETE_OK","DELETE_FAILED","DELETE_PENDING","REMOTE_CAPTURE_PENDING","FRAUD","ERROR","ENROLL_REJECTED","PERSON_NOT_FOUND"]},"timestamp":{"type":"integer","format":"int64"},"gbdsTguid":{"type":"string"},"spidxTguid":{"type":"string"},"psbioTcn":{"type":"string"},"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedIdnSearch

> This method returns the status of a given IDN into the PSBio

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/idn-search":{"get":{"tags":["Deprecated"],"operationId":"deprecatedIdnSearch","summary":"deprecatedIdnSearch","description":"This method returns the status of a given IDN into the PSBio","parameters":[{"name":"idn","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedEnrollClient

> This method submits a client enrollment to the server.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/enroll-client":{"post":{"tags":["Deprecated"],"operationId":"deprecatedEnrollClient","summary":"deprecatedEnrollClient","description":"This method submits a client enrollment to the server.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegacyEnrollRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResult"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"LegacyEnrollRequest":{"type":"object","properties":{"metadata":{"type":"array","items":{"type":"string","format":"byte"}},"timeout":{"type":"integer","format":"int32"},"labels":{"type":"array","items":{"type":"string"}},"filters":{"type":"array","items":{"type":"string"}},"priority":{"type":"string","enum":["LOWEST_PRIORITY","LOWER_PRIORITY","LOW_PRIORITY","DEFAULT_PRIORITY","HIGH_PRIORITY","HIGHER_PRIORITY","HIGHEST_PRIORITY"]},"operator":{"type":"string"},"session-guid":{"type":"string"},"person-guid":{"type":"string"},"keys":{"type":"array","items":{"$ref":"#/components/schemas/Key"}},"biographics":{"type":"array","items":{"$ref":"#/components/schemas/BiographicData"}},"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/ContentData"}},"auxiliaries":{"type":"array","items":{"$ref":"#/components/schemas/ContentData"}},"matching-index":{"type":"string","enum":["SAME_FINGERS","ALL_FINGERS","CROSSED_WINDOW_TWEEZERS"]},"force-face-search":{"type":"boolean"}}},"Key":{"type":"object","properties":{"id":{"type":"string"},"value":{"type":"string"}}},"BiographicData":{"type":"object","properties":{"id":{"type":"string"},"value":{"type":"string"}}},"ContentData":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"properties":{"$ref":"#/components/schemas/ContentProperties"},"source":{"type":"string","enum":["ORIGINAL","TEMPLATE","CONSOLIDATED_TEMPLATE"]},"type":{"type":"string","enum":["FINGERPRINT","PALMPRINT","FOOTPRINT","FACE","IRIS","VOICE","SIGNATURE","SEQUENCE_CONTROL","PLAIN_TEXT","IMAGE","AUDIO","VIDEO","NONE","OTHER","UNKNOWN"]},"format":{"type":"string","enum":["ASCII","BASE64","RAW","WSQ","PNG","JPEG","JPEG2000","TIFF","GIF","BMP","_3GP","AAC","AIFF","M4A","MP3","OGG","PCM","WAV","WMA","MKV","FLV","AVI","MOV","WMV","MP4","MPEG","MPG","M4V","PRIVATE","ISO","ANSI","NONE","OTHER","UNKNOWN"]}}},"ContentProperties":{"type":"object","properties":{"width":{"type":"integer","format":"int32","deprecated":true},"height":{"type":"integer","format":"int32","deprecated":true},"resolution":{"type":"integer","format":"int32","deprecated":true},"ratio":{"type":"number","format":"double","deprecated":true},"latent":{"type":"boolean","deprecated":true},"description":{"type":"string"},"quality":{"type":"integer","format":"int32"},"index":{"type":"string","enum":["NONE","OTHER","UNKNOWN","LEFT_LITTLE","LEFT_RING","LEFT_MIDDLE","LEFT_INDEX","LEFT_THUMB","RIGHT_THUMB","RIGHT_INDEX","RIGHT_MIDDLE","RIGHT_RING","RIGHT_LITTLE","LEFT_TOPS_CTRL","RIGHT_TOPS_CTRL","LEFT_THUMB_CTRL","RIGHT_THUMB_CTRL","LEFT_TOP","LEFT_BOTTOM","LEFT_WRITER","RIGHT_TOP","RIGHT_BOTTOM","RIGHT_WRITER","LEFT_IRIS","RIGHT_IRIS","FACE_FRONTAL","LEFT_SIDE","RIGHT_SIDE","MUGSHOT_FRONTAL","MUGSHOT_LEFT_SIDE","MUGSHOT_RIGHT_SIDE","TATOO","SCAR","MARK","SIGNATURE"]},"location":{"type":"string","enum":["NONE","OTHER","UNKNOWN","FINGERPRINT","PALM","FOOT","FACE","BACK_HEAD","LEFT_FRONT_NECK","RIGHT_FRONT_NECK","LEFT_SHOLDER","RIGHT_SHOLDER","LEFT_CHEST","RIGHT_CHEST","LEFT_ARM","RIGHT_ARM","LEFT_FOREARM","RIGHT_FOREARM","LEFT_WRIST","RIGHT_WRIST","LEFT_HAND","RIGHT_HAND","STOMACH","ABDOMEN","LEFT_RIB","RIGHT_RIB","LEFT_WAIST","RIGHT_WAIST","GROIN","LEFT_THIGH","RIGHT_THIGH","LEFT_KNEE","RIGHT_KNEE","LEFT_LOWER_LEG","RIGHT_LOWER_LEG","LEFT_FOOT","RIGHT_FOOT","LEFT_BACK_NECK","RIGHT_BACK_NECK","LEFT_BACK_SHOLDER","RIGHT_BACK_SHOLDER","LEFT_UPPER_BACK","RIGHT_UPPER_BACK","LEFT_LOWER_BACK","RIGHT_LOWER_BACK","LEFT_GLUTEUS","RIGHT_GLUTEUS","LEFT_REAR_ARM","RIGHT_REAR_ARM","LEFT_ELBOW","RIGHT_ELBOW","LEFT_REAR_FOREARM","RIGHT_REAR_FOREARM","LEFT_REAR_LEG","RIGHT_REAR_LEG","LEFT_CALF","RIGHT_CALF","LEFT_ANKLE","RIGHT_ANKLE","LEFT_HEEL","RIGHT_HEEL"]},"anomaly":{"type":"string","enum":["NONE","ADACTILY","ANKYLOSIS","ECTRODACTILY","HIPERFALANGIA","POLYDACTILY","MICRODACTILY","MACRODACTILY","SINDATILY","DAMAGED","BANDAGED","IGNORED","AMPUTATED"]},"metadata":{"type":"array","items":{"type":"string","format":"byte"}},"capture-date":{"type":"string","format":"date-time"},"capture-type":{"type":"string","enum":["FLAT","FLAT_TWO_FINGERS","ROLLED","LEFT_TOP","LEFT_BOTTOM","LEFT_WRITER","RIGHT_TOP","RIGHT_BOTTOM","RIGHT_WRITER","LIVE","FILE"]},"template-properties":{"$ref":"#/components/schemas/TemplateProperties"},"image-properties":{"$ref":"#/components/schemas/ImageProperties"},"audio-properties":{"$ref":"#/components/schemas/AudioProperties"},"video-properties":{"$ref":"#/components/schemas/VideoProperties"},"fingerprint-properties":{"$ref":"#/components/schemas/FingerprintProperties"},"face-properties":{"$ref":"#/components/schemas/FaceProperties"},"signature-properties":{"$ref":"#/components/schemas/SignatureProperties"}}},"TemplateProperties":{"type":"object","properties":{"resolution":{"type":"integer","format":"int32"}}},"ImageProperties":{"type":"object","properties":{"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"},"ratio":{"type":"number","format":"double"}}},"AudioProperties":{"type":"object","properties":{"codec":{"type":"string","enum":["PCM","FLAC","AC3","DTS","MP3","AAC","WMA","VOX","DSS","OTHER"]},"channels":{"type":"integer","format":"int32"},"sample-size":{"type":"integer","format":"int32"},"sample-rate":{"type":"integer","format":"int32"},"bit-rate":{"type":"integer","format":"int32"}}},"VideoProperties":{"type":"object","properties":{"audio-codec":{"type":"string","enum":["PCM","FLAC","AC3","DTS","MP3","AAC","WMA","VOX","DSS","OTHER"]},"video-codec":{"type":"string","enum":["X265","X264","XVID","MPEG4","_3IVX","WMV"]},"audio-bit-rate":{"type":"integer","format":"int32"},"video-bit-rate":{"type":"integer","format":"int32"},"total-bit-rate":{"type":"integer","format":"int32"},"frame-width":{"type":"integer","format":"int32"},"frame-height":{"type":"integer","format":"int32"},"frame-rate":{"type":"integer","format":"int32"}}},"FingerprintProperties":{"type":"object","properties":{"type":{"type":"string","enum":["MAIN","SEQUENCE_CONTROL"]},"nfiq":{"type":"integer","format":"int32"},"contrast":{"type":"integer","format":"int32"},"direction":{"type":"string","enum":["LEFT_TO_RIGHT","RIGHT_TO_LEFT"]},"reversions":{"type":"integer","format":"int32"},"slips":{"type":"integer","format":"int32"},"frames":{"type":"integer","format":"int32"},"latent":{"type":"boolean"},"dirty-start":{"type":"boolean"},"dirty-latter":{"type":"boolean"}}},"FaceProperties":{"type":"object","properties":{"icao":{"type":"boolean"},"glasses":{"type":"boolean"},"shoulder":{"type":"boolean"},"smiling":{"type":"boolean"},"mouth":{"$ref":"#/components/schemas/Position"},"busy-background":{"type":"boolean"},"saturated-picture":{"type":"boolean"},"blurred-picture":{"type":"boolean"},"crop-out-of-picture":{"type":"boolean"},"skin-color":{"type":"boolean"},"face-position":{"type":"boolean"},"face-right":{"type":"boolean"},"face-left":{"type":"boolean"},"face-up":{"type":"boolean"},"face-down":{"type":"boolean"},"heavy-glasses":{"type":"boolean"},"shoulder-left":{"type":"boolean"},"shoulder-right":{"type":"boolean"},"eyes-obstruction":{"type":"boolean"},"looking-down":{"type":"boolean"},"looking-up":{"type":"boolean"},"looking-right":{"type":"boolean"},"looking-left":{"type":"boolean"},"too-open-eyes":{"type":"boolean"},"too-closed-eyes":{"type":"boolean"},"red-eyes":{"type":"boolean"},"open-mouth":{"type":"boolean"},"showing-teeth":{"type":"boolean"},"left-eye":{"$ref":"#/components/schemas/Position"},"right-eye":{"$ref":"#/components/schemas/Position"},"recomended-brightness":{"type":"number","format":"float"},"recomended-contrast":{"type":"number","format":"float"},"number-of-faces":{"type":"integer","format":"int32"}}},"Position":{"type":"object","properties":{"x":{"type":"integer","format":"int32"},"y":{"type":"integer","format":"int32"}}},"SignatureProperties":{"type":"object","properties":{"notSignable":{"type":"boolean"}}},"ServiceResult":{"type":"object","properties":{"status":{"type":"string","enum":["OK","ERROR","AUTHENTICATION_OK","AUTHENTICATION_FAILED","INVALID_SESSION_GUID","PERSON_NOT_FOUND","NO_PERSON_FOUND","ENROLL_ENQUEUED","ENROLL_IN_PROGRESS","ENROLL_OK","ENROLL_ANOMALY","ENROLL_FAILED","ENROLL_PENDING","ENROLL_CACHE_OK","ENROLL_CONTINGENCY_OK","SEARCH_ENQUEUED","SEARCH_IN_PROGRESS","SEARCH_FAILED","SEARCH_MATCH","SEARCH_NOT_MATCH","DELETE_OK","DELETE_FAILED","OPERATOR_OK","OPERATOR_FAILED","OPERATOR_PENDING","REMOVE_FROM_REFERENCE_OK","REMOVE_FROM_REFERENCE_FAILED","ADD_TO_REFERENCE_OK","ADD_TO_REFERENCE_FAILED","REMOVE_KEYS_OK","ENQUEUED"]},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"candidates":{"type":"array","items":{"$ref":"#/components/schemas/Candidate"}},"persons":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"person":{"$ref":"#/components/schemas/LegacyPerson"},"transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyTransaction"}},"progress":{"type":"number","format":"float"},"count":{"type":"integer","format":"int32"},"session-guid":{"type":"string"},"transaction-guid":{"type":"string"},"person-guid":{"type":"string"},"enroll-transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"anomalies-status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]}}},"Candidate":{"type":"object","properties":{"anomaly":{"$ref":"#/components/schemas/Anomaly"},"person-guid":{"type":"string"},"transaction-guid":{"type":"string"},"match-info":{"type":"array","items":{"$ref":"#/components/schemas/MatchInfo"}},"biometric-count":{"type":"integer","format":"int64"}}},"Anomaly":{"type":"object","properties":{"status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]},"user":{"type":"string"},"comments":{"type":"string"},"date":{"type":"string","format":"date-time"}}},"MatchInfo":{"type":"object","properties":{"score":{"type":"integer","format":"int32"},"matches":{"type":"array","items":{"$ref":"#/components/schemas/Match"}},"query-index":{"type":"integer","format":"int32"},"reference-index":{"type":"integer","format":"int32"}}},"Match":{"type":"object","properties":{"query":{"type":"integer","format":"int32"},"reference":{"type":"integer","format":"int32"}}},"LegacyPerson":{"type":"object","properties":{"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}},"userId":{"type":"string"},"idn":{"type":"string"}}},"Biometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"}}},"MissingBiometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"type":{"type":"string","enum":["AMPUTATED","UNAVAILABLE"]},"reason":{"type":"string"}}},"LegacyTransaction":{"type":"object","properties":{"id":{"type":"string"},"userId":{"type":"string"},"operatorId":{"type":"string"},"type":{"type":"string","enum":["ENROLL","UPDATE","SEARCH","VERIFY","DELETE"]},"status":{"type":"string","enum":["OK","SEARCH_PENDING","SEARCH_ENQUEUED","SEARCH_MATCH","SEARCH_NOT_MATCH","SEARCH_FAILED","ENROLL_PENDING","ENROLL_ENQUEUED","ENROLL_CACHE_OK","ENROLL_OK","ENROLL_FAILED","ENROLL_EXCEPTION","DELETE_OK","DELETE_FAILED","DELETE_PENDING","REMOTE_CAPTURE_PENDING","FRAUD","ERROR","ENROLL_REJECTED","PERSON_NOT_FOUND"]},"timestamp":{"type":"integer","format":"int64"},"gbdsTguid":{"type":"string"},"spidxTguid":{"type":"string"},"psbioTcn":{"type":"string"},"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedCloseSession

> This method closes the current session.

```json
{"openapi":"3.0.1","info":{"title":"SPID Server API Specification","version":"4.2.12"},"servers":[{"url":"https://<ip>:8082","description":"Generated server url"}],"paths":{"/gbs-spid-server/service/cluster/close-session":{"post":{"tags":["Deprecated"],"operationId":"deprecatedCloseSession","summary":"deprecatedCloseSession","description":"This method closes the current session.","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResult"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ServiceResult":{"type":"object","properties":{"status":{"type":"string","enum":["OK","ERROR","AUTHENTICATION_OK","AUTHENTICATION_FAILED","INVALID_SESSION_GUID","PERSON_NOT_FOUND","NO_PERSON_FOUND","ENROLL_ENQUEUED","ENROLL_IN_PROGRESS","ENROLL_OK","ENROLL_ANOMALY","ENROLL_FAILED","ENROLL_PENDING","ENROLL_CACHE_OK","ENROLL_CONTINGENCY_OK","SEARCH_ENQUEUED","SEARCH_IN_PROGRESS","SEARCH_FAILED","SEARCH_MATCH","SEARCH_NOT_MATCH","DELETE_OK","DELETE_FAILED","OPERATOR_OK","OPERATOR_FAILED","OPERATOR_PENDING","REMOVE_FROM_REFERENCE_OK","REMOVE_FROM_REFERENCE_FAILED","ADD_TO_REFERENCE_OK","ADD_TO_REFERENCE_FAILED","REMOVE_KEYS_OK","ENQUEUED"]},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"candidates":{"type":"array","items":{"$ref":"#/components/schemas/Candidate"}},"persons":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"person":{"$ref":"#/components/schemas/LegacyPerson"},"transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyTransaction"}},"progress":{"type":"number","format":"float"},"count":{"type":"integer","format":"int32"},"session-guid":{"type":"string"},"transaction-guid":{"type":"string"},"person-guid":{"type":"string"},"enroll-transactions":{"type":"array","items":{"$ref":"#/components/schemas/LegacyPerson"}},"anomalies-status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]}}},"Candidate":{"type":"object","properties":{"anomaly":{"$ref":"#/components/schemas/Anomaly"},"person-guid":{"type":"string"},"transaction-guid":{"type":"string"},"match-info":{"type":"array","items":{"$ref":"#/components/schemas/MatchInfo"}},"biometric-count":{"type":"integer","format":"int64"}}},"Anomaly":{"type":"object","properties":{"status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","ERROR"]},"user":{"type":"string"},"comments":{"type":"string"},"date":{"type":"string","format":"date-time"}}},"MatchInfo":{"type":"object","properties":{"score":{"type":"integer","format":"int32"},"matches":{"type":"array","items":{"$ref":"#/components/schemas/Match"}},"query-index":{"type":"integer","format":"int32"},"reference-index":{"type":"integer","format":"int32"}}},"Match":{"type":"object","properties":{"query":{"type":"integer","format":"int32"},"reference":{"type":"integer","format":"int32"}}},"LegacyPerson":{"type":"object","properties":{"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}},"userId":{"type":"string"},"idn":{"type":"string"}}},"Biometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"}}},"MissingBiometric":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"type":{"type":"string","enum":["AMPUTATED","UNAVAILABLE"]},"reason":{"type":"string"}}},"LegacyTransaction":{"type":"object","properties":{"id":{"type":"string"},"userId":{"type":"string"},"operatorId":{"type":"string"},"type":{"type":"string","enum":["ENROLL","UPDATE","SEARCH","VERIFY","DELETE"]},"status":{"type":"string","enum":["OK","SEARCH_PENDING","SEARCH_ENQUEUED","SEARCH_MATCH","SEARCH_NOT_MATCH","SEARCH_FAILED","ENROLL_PENDING","ENROLL_ENQUEUED","ENROLL_CACHE_OK","ENROLL_OK","ENROLL_FAILED","ENROLL_EXCEPTION","DELETE_OK","DELETE_FAILED","DELETE_PENDING","REMOTE_CAPTURE_PENDING","FRAUD","ERROR","ENROLL_REJECTED","PERSON_NOT_FOUND"]},"timestamp":{"type":"integer","format":"int64"},"gbdsTguid":{"type":"string"},"spidxTguid":{"type":"string"},"psbioTcn":{"type":"string"},"biometrics":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"missingBiometrics":{"type":"array","items":{"$ref":"#/components/schemas/MissingBiometric"}}}},"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]}}},"Error":{"type":"object","properties":{"type":{"type":"string","enum":["VALIDATION_ERROR","PROCESSING_ERROR","INTERNAL_ERROR","SECURITY_ERROR"]},"message":{"type":"string"}}}}}}
```

## deprecatedCheckStatus

> This method returns the current status of the SPID Server services.

```json
[...]
